%define name drakwizard
%define version 2.15
%define release 6mdk

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Other
Requires: perl-base, usermode, perl-Locale-gettext, drakxtools >= 9.1-0.4mdk
BuildRequires: gettext-base 
Buildroot: %{_tmppath}/%{name}
BuildArch: noarch
Prefix: %{_prefix}

Obsoletes: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix

Provides: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix

Summary: Wizard Launcher and its collection of wizards
URL: http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/soft/wizard_perl

%description
drakwizard allows you to launch :
- server wizard: configures basic services.
- global wizard: wizard that launch each other.
- dhcpd, dns, postfix, samba, firewall, web, ftp, news, time wizards...

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/gnome-vfs-2.0/vfolders/*
%_sbindir/drakwizard
%_datadir/wizards*
%{perl_vendorlib}/MDK/

%changelog
* Mon Apr 11 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.15-6mdk
- fix password pb in ldap wizard (Bug 15214)

* Thu Apr  7 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.15-5mdk
- remove mandrakelinux strings
- fix Linux install server

* Fri Apr  1 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.15-4mdk
- remove kolab wizard

* Tue Mar 29 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.15-3mdk
- fix ldap wizard

* Fri Mar 18 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.15-2mdk
- fix ldap root passwd (padbol)
- update po

* Thu Jan 27 2005 Antoine Ginies <aginies@mandrakesoft.com> 2.15-1mdk
- remove nis configuration client (included in drakauth)
- fix autofs map (hardcoded nis path :/) thx Fabrice Facora
- improve Hostname and domainename test

* Mon Oct  4 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.14-10mdk
- fix kolab wizard (needed_rpm, call correct kolab_boostrap script)

* Thu Sep 30 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.14-9mdk
- fix smb smb.conf s/;/#/ to workaround a bug... (thx misc Buchan)
- Check hostname and domainname Add service ldap stop when delete conf

* Wed Sep  8 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.14-8mdk
- fix drakwizard in console mode
- update po

* Tue Sep  7 2004 guibo <aginies@mandrakesoft.com> 2.14-7mdk
- fix pb of Dhcpd.conf and dhcpd_interface
- NIS wizard: fix pb of nsswitch.conf file
- fix samba share directory pb
 
* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.14-6mdk
- working LDAP wizard

* Tue Aug 10 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.14-5mdk
- fix Samba printer pb
- fix permit root login under Proftpd

* Mon Aug  9 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.14-4mdk
- reload nfs in Mandrakelinux install server 
- typo fix in Samba wizard 
- DNS: now can remove host in dns, add increment serial
- remove drakwizard pxe (now use drakpxelinux please)

* Thu Jul 29 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.14-3mdk
- fix kolab needed_rpm
- Samba: fix pb of "enable share"
- fix squid config (missing visible_hostname) 
- thx nico-labs for all test

* Thu Jul 29 2004 mdkc <mdkc@dhcp114.mandrakesoft.com> 2.14-2mdk
- force apache2 (remove apache1.3 wizard)

* Thu Jul 29 2004 Antoine Ginies <aginies@n2.mandrakesoft.com> 2.14-1mdk
- DNS: fix dnsdoimaine test
- DHCP: fix interface choice  

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.13-1mdk
- DHCP and NFS wizards: popup error messages
- DHCP wizard:
  o run more checks
  o display more meaningful error messages
- translation snapshot

* Thu Mar 25 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.12-4mdk
- new fix kolab installtion pb.

* Thu Mar 25 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.12-3mdk
- fix kolab installation problem (misc)

* Tue Mar 23 2004 guibo Antoine Ginies <aginies@mandrakesoft.com> 2.12-2mdk
- set default RAMsize to 48000
- updated po

* Thu Mar 18 2004 Antoine Ginies <aginies@no.mandrakesoft.com> 2.12-1mdk
- NFS, Bind: add information
- Kolab.pm: security: hide password (tv)
- updated po 

* Fri Mar 12 2004 Antoine Ginies <aginies@no.mandrakesoft.com> 2.11-6mdk
- Kolab: fix typo error in bn_pwd
- Postfix: fix pb of relayhost
- Samba: fix printer sharing appear when not selected 

* Thu Mar 11 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.11-5mdk
- kolab: fix password PB

* Thu Mar 11 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.11-4mdk
- updated po
- add kolab Wizard
- Postfix: fix cannonical pb 
- PXE: fix Menu problem
- DNS: cant access add/remove hosts if host is a DNS slave

* Mon Mar  1 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.11-3mdk
- remove --auto-select when installing autofs rpm.

* Thu Feb 26 2004  Antoine Ginies <aginies@mandrakesoft.com> 2.11-2mdk
- bug fix in Pxe.pm
- updated po
- typos and grammar recommendation (M.Bukovjan)

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 2.11-1mdk
- some ntp stricter config setting
- bug fix in PXE (option in all.rdz boot)

* Thu Feb 12 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.10-3mdk
- fix option in PXE wizard
- typo fixes

* Wed Feb 11 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.10-2mdk
- check httpd for apache-1.3, httpd2 for apache2 (V.Meyer bug report)
- fix problem of DNS master wizard
- updated po file

* Tue Feb 10 2004 Warly <warly@mandrakesoft.com> 2.10-1mdk
- fix list_printers function
- readd ENV{__WIZ_HOME__} variable to be able to test directly from the CVS tree
- change "choose a country" to "choose a city"
- bug fix in PXE (add all.rdz boot image)

* Mon Feb  2 2004 guibo <guibo@xp2400.guibland.com> 2.9-5mdk
- typo fixes
- Samba wizard now working (no more printers share for the moment)
- fix drakwizard Postfix internal mail configuration
- use dnsdomainame instead of domainane
- use IPADDR or result of ip addr show dev eth?
- add check_started in Wizcommon.pm (all wizards will use it)

* Fri Jan 30 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.9-4mdk
- fix error (pxe was unable to read old conf in boot image)
- updated po file.
- add image in Mandrake Install server wizard

* Wed Jan 28 2004 Antoine Ginies <aginies@bi.mandrakesoft.com> 2.9-3mdk
- PXE wizard: now can enable/disable PXE in dhcpd.conf
- FTP wizard: fix problem of External FTP server ACL
- Proy Wizard: val to fixed_val in summary

* Tue Jan 27 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.9-2mdk
- DNS wizard: 
	- add comment in db.DOMAINANME.hosts and db.ipreverse.hosts
	- needed_rpm bind
	- fix pb of remove host
	- clear CLIENTNAME CLIENTIP when add a new host
- FTP wizard:
	- add test of bash in /etc/shells
	- rewrite fonction to allow/deny from internet/intranet
	- force selection of intranet or internet to continue wizard
- NIS with Autofs Wizard:
	- fix waiting screen
	- fix pb of nisdomainname check
	- refer to correct image name (nisautofs.png)
- PXE wizard:
	- add domainanme test
	- now configure /etc/pxe.conf
	- correct pb of previous button
	- fix problem of list image
	- add loop mode in add/remove PXE boot image
	- split modify step to fit wizard window
- all Wizard:
	- typo fixes
	- perl_checker compliant
- thx tv, erwan, nonotor, docteam for bug report :-)

* Tue Jan 20 2004 Antoine Ginies <aginies@mandrakesoft.com> 2.9-1mdk
- DHCP server: add PXE support
- DNS wizard: add check procedure
- NIS+autofs wizard: check nisdomainname
- FTP wizard: new options
- mail wizard: some fix in 
- merge bind_client and bind wizard in renwed bind wizard
  (slave/master config, add/remove host)
- Mandrake install Wizard: restart needed service
- new PXE wizard: PXE configuration, add/remove/modify boot images

* Mon Dec 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8-2mdk
- rebuild for new drakxtools due to latest rpm policy regarding perl
  dependancies
- fix layout in apache wizard messages
- new NIS wizard

* Tue Dec 09 2003 Warly <warly@mandrakesoft.com> 2.8-1mdk
- fix samba wizard reading of old conf (printers and denied and allowed hosts)

* Mon Nov 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-1mdk
- fix a few remaining i18n/l10n issues (also know as the infamous
  xgettext vs perl escaped strings fight)

* Mon Nov 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6-3mdk
- time wizard: fix broken layout on time server error which result in
  80% of the explanation not to be displayed and in hidding the "next"
  button
- fix doble message in Samba wizard
- translate:
  o some untranslated strings
  o entries in wizards pull-down menu in main drakwizard interface
  o wizard's main window titles
- translation updates (cy, et, eu, fr, pt_BR, uz)

* Fri Nov 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6-2mdk
- translation updates
- fix dhcp wizard

* Wed Nov 05 2003 Warly <warly@mandrakesoft.com> 2.6-1mdk
- fix ntp wizard bad conf saving
- fix dns_client wrong config for reverse name search
- fix ntpd server wrong shut down at wizard first setup
- fix anonymous mode for ftpwizard

* Fri Sep 19 2003 Warly <warly@mandrakesoft.com> 2.5-1mdk
- spell fixes
- update po

* Wed Sep 17 2003 Warly <warly@mandrakesoft.com> 2.4-1mdk
- better ip checking in dhcp
- better string displaying in error and warning
- check that the wizard is run as root

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 2.3-1mdk
- fix postfix bad strings
- fix samba printer exporting

* Sat Sep 13 2003 Warly <warly@mandrakesoft.com> 2.2-1mdk
- fix apache config
- fix squid config
- separate region and country in time server
- fix samba server
- fix inn server
- fix nfs server
- fix ftp server
- fix dns_client server

* Tue Sep 02 2003 Warly <warly@mandrakesoft.com> 2.1-1mdk
- complete squid/proftpd/inn wizard
- add own images to wizards
- add boolean list handling

* Fri Aug 22 2003 Warly <warly@mandrakesoft.com> 2.0-1mdk
- remove all the XML/shell part, now it is just perl
- everything should be broken
- squid/proftpd/inn are not yet ported

* Fri Aug 08 2003 David Baudens <baudens@mandrakesoft.com> 1.8-2mdk
- Update banners

* Tue Mar 11 2003 Warly <warly@mandrakesoft.com> 1.8-1mdk
- ntp wizard add the server name in the ntp.conf file (bug 534)

* Tue Mar 11 2003 David BAUDENS <baudens@mandrakesoft.com> 1.7-2mdk
- Update banners

* Sun Mar 09 2003 Warly <warly@mandrakesoft.com> 1.7-1mdk
- set server ip as dns if 127.0.0.1 is the server nameserver

* Sat Mar 08 2003 Warly <warly@mandrakesoft.com> 1.6-1mdk
- do not choose 127.0.0.1 in dhcp server wizard if another dns is available

* Wed Mar 05 2003 Warly <warly@mandrakesoft.com> 1.5-1mdk
- remove firewall wizard
- try to fix server wizard (unused anyway)

* Mon Mar 03 2003 Warly <warly@mandrakesoft.com> 1.4-1mdk
- gc fixes UTF8 problem

* Sun Mar 2 2003 Warly <warly@mandrakesoft.com> 1.3-1mdk
- start nfs server at the end of nfs wizard
- add dns and gateway in dhcp server config, remove nis, netbios and others
- add apache2 wizard
- compute a correct domainame, dns and gateway in IFCFG.pm
- replace shell function for chek_masquerade and check_relay by perl ones
- restart postfix at the end of postfix configuration
- fix summary not returning right combo boxes and boolean values
- remove unused dir field in ftp wizard

* Thu Dec 19 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.1-1mdk
- fix to get png images with gtk2

* Mon Nov 18 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-4mdk
- Fixed FTP wizard install

* Wed Nov 13 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-3mdk
- s|_(||N(|

* Tue Nov  5 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-2mdk
- Oops (silly rpm -ba instead of make rpm).

* Mon Nov  4 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-1mdk
- Summary mode (expert mode, no help, all on the same page)
- Greyed fields depending on configuration.
- Scrollbar bugfix
- Dynamique checkbox list
- i18n/XML typo bug fix.
- Samba : shared printers selection, access restriction.
- NFS : improved parser, confirmation page.

* Thu Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2-14mdk
- BuildRequires: gettext perl-XML-Parser

* Fri Sep 20 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-13mdk
- added chooser for acces restriction for NFS
- dns (test /etc/named.conf)
- time fix (infinite while when ntp server unreachable) 
- require leafnode for news wizard

* Thu Sep 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-12mdk
- fix i18n typo
- test and cp /etc/sysconfig/network-scripts/draknet_conf to .../drakconnect_conf

* Fri Sep  6 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-11mdk
- SAMBA : s|samba-server|samba|
- DHCP : not authoritative
	 added check()

* Fri Sep  6 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-10mdk
- Web : require apache instead of apache-conf
- DHCP: test if is already a dhcp client,
	test dhcpd.conf before cp,
	temporary no check for ip range
- NTP:	test before copying step-tickers,
	fixed bug in cp of zoneinfo

* Thu Sep  5 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-9mdk
- Fixed time wizard install
- Added some msgid in .pot generation.
- s|Configure button|Next button|

* Thu Sep  5 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-8mdk
- New icons
- Fixed postfix

* Thu Aug 29 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-7mdk
- Fixed time wizard (better chooser support)
- Traduction improvements.
- Fixed dhcp and postfix scripts bug.
- Added nfs wizard.

* Tue Aug 27 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-6mdk
- Postfix conf bug fix.
- Removed those DEBUG page that make navigation buggy
- No check for old net conf.

* Fri Aug 23 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-5mdk
- Added wizard's png icons
- Added samba home acces fonctionnality
- Add support for server-settings: for GNOME 2 (fcrozat)
- Wiz cleanup.

* Tue Aug 20 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-4mdk
- Wizard chooser if launched without arguments and a lot of bug fixes.

* Tue Aug 13 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-3mdk
- use of drakconnect db for web, ftp and samba wizards.

* Mon Aug 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-2mdk
- proftpd support

* Fri Aug  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-1mdk
- i18n support

* Wed Aug  7 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-7mdk
- No "prev" when it is impossible.

* Tue Aug  6 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-6mdk
- A lot of bug fixes in wiz files
- Added chooser support.

* Fri Aug  2 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-5mdk
- Added sub wizard support

* Fri Aug  2 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-4mdk
- Server wizard navigation bugs fixes.

* Thu Aug  1 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-3mdk
- Dns wizard bug fixes and optimisations
- Set isWizard

*  Wed Jul 31 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-2mdk
- Added require perl-XML-Parser and a Provides section.

*  Fri Jul 25 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-1mdk
- First packaging

